<?php	
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_slider_panel.php
| Author: Johan Wilson (Barspin)
| Contact: barspin@blendtek.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."news_slider_panel/locale/".$settings['locale'].".php";
//settings
$bt_news_slider_settings['01'] = "35";   // Ilo znakw w tytule newsa
$bt_news_slider_settings['02'] = "20";  // Ilo znakw w treci newsa wywietlana w panelu
$bt_news_slider_settings['03'] = "3000"; // Czas do przejcia nastpnego newsa (w ms)
$bt_news_slider_settings['04'] = "1000"; // Czas przejcia slajdu (w ms)
$bt_news_slider_settings['05'] = "300";  // Czas przejcia slajdu (w ms) kiedy klikniemy w przycisk nastpnego newsa
$bt_news_slider_settings['06'] = "scrollLeft";  // Efekt slajdu. do wybory: scrollLeft, scrollRight, scrollDown, scrollUp)
//load js and css to header
add_to_head("
	<script type='text/javascript' src='".INFUSIONS."news_slider_panel/lib/jquery.cycle.js'></script>
	<link rel='stylesheet' href='".INFUSIONS."news_slider_panel/css/slideshow.css' type='text/css' media='screen'/>
");
//panel content
openside("".$locale['nsp_001']."");
    echo "<div id='bt_news_slideshow'>
            <div class='bt_news_slides'>
                <ul>";			
	$result = dbquery("
		SELECT news_id as id, news_subject as title, news_news as news, news_datestamp as date
		FROM ".DB_NEWS." 
		WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
		ORDER BY news_sticky DESC, news_datestamp DESC 
		LIMIT 5
	");

if (dbrows($result)) {
	$i = 1;
	while ($data = dbarray($result)) {
		echo "<li id='bt_news_slide-".$i++."'><h2>\n";
		echo "<a href='".(isset($data['link']) ? $data['link'] : BASEDIR."news.php?readmore=".$data['id'])."' title='".$data['title']."'>\n";
		echo trimlink($data['title'], $bt_news_slider_settings['01']);
		echo "</a></h2><i>".showdate("%d. %B %Y %H:%M", $data['date'])."</i>\n"; //format daty
		echo "<p>\n";
		echo substr(stripslashes($data['news']), 0, $bt_news_slider_settings['02']);
		echo "...</p></li>\n";
	}
} else {
	echo "<p>".$locale['global_078']."</p>\n";
}
    echo "</ul></div><ul class='bt_news_slides-nav'>
                <li class='on'><a href='#bt_news_slide-1'>".$locale['nsp_002']."</a></li>
                <li><a href='#bt_news_slide-2'>".$locale['nsp_003']."</a></li>
                <li><a href='#bt_news_slide-3'>".$locale['nsp_004']."</a></li>
				<li><a href='#bt_news_slide-4'>".$locale['nsp_005']."</a></li>
				<li><a href='#bt_news_slide-5'>".$locale['nsp_006']."</a></li>
            </ul>\n";
    echo "</div>\n";
closeside();
?> 
	<script type='text/javascript'>
	$slideshow1 = {
    context: false,
    tabs: false,
    timeout: <?php echo $bt_news_slider_settings['03']; ?>,
    slideSpeed: <?php echo $bt_news_slider_settings['04']; ?>,
    tabSpeed: <?php echo $bt_news_slider_settings['05']; ?>,
    fx: '<?php echo $bt_news_slider_settings['06']; ?>',
    init: function() {
        this.context = $('#bt_news_slideshow');
        this.tabs = $('ul.bt_news_slides-nav li', this.context);
        this.tabs.remove();
        this.prepareSlideshow();
    }, 
    prepareSlideshow: function() {
        $('div.bt_news_slides > ul', $slideshow1.context).cycle({
            fx: $slideshow1.fx,
            timeout: $slideshow1.timeout,
            speed: $slideshow1.slideSpeed,
            fastOnEvent: $slideshow1.tabSpeed,
            pager: $('ul.bt_news_slides-nav', $slideshow1.context),
            pagerAnchorBuilder: $slideshow1.prepareTabs,
            before: $slideshow1.activateTab,
            pauseOnPagerHover: true,
            pause: true
        });            
    },
    prepareTabs: function(i, slide) {
        return $slideshow1.tabs.eq(i);
    },
    activateTab: function(currentSlide, nextSlide) {
        var activeTab = $('a[href="#' + nextSlide.id + '"]', $slideshow1.context);
        if(activeTab.length) {
            $slideshow1.tabs.removeClass('on');
            activeTab.parent().addClass('on');
        }            
    }            
};
$(function() {
    $('body').addClass('js');
    $slideshow1.init();
});  
	</script> 